View Issue Details

IDProjectCategoryView StatusLast Update
00313192.x IDE BugsCompilingPublic2019-09-09 14:00
ReporterYellowAfterlifeAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformWindowsOSWindows 10 ProOS Version>=18362
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031319: Compiling: calling gml_pragma with no arguments causes a compiler exception
Description
gml_pragma();


Unhandled Exception: System.ArgumentOutOfRangeException: Index was out of range. Must be non-negative and less than the size of the collection.
Parameter name: index
   at System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   at GMAssetCompiler.GMLCode..ctor(GMAssets _assets, String _name, String _code, eScriptKind _kind, eGMLCodeType _type, Boolean _constant, List`1 _locals, String _parentScriptName, Int32 _lineNum)
   at GMAssetCompiler.WADSaver`1.CompileAllCode(GMAssets _assets)
   at GMAssetCompiler.IFFSaver.Save(GMAssets _assets, String _name)
   at GMAssetCompiler.Program.CompileProject(GMAssets _file)
   at GMAssetCompiler.Program.Main(String[] _args)
TagsCompiler
2.x IDE Found In9.2.1.1956
2.x Runtime Found In
2.x IDE Verified In2.2.4.448
2.x Runtime Verified In2.2.4.355

Activities

YellowAfterlife

2019-09-02 15:23

Developer  

a_bug.yyz (19,184 bytes)

Russell Kay

2019-09-06 15:01

Manager   ~0064738

Fixed in gitlab

Dan

2019-09-06 15:35

Adminstrator   ~0064739

Runtime 355+

Scott Dunbar

2019-09-09 14:00

Adminstrator   ~0064753

Verified fixed - now correctly produces a compile error

I 2.2.4.448
R 2.2.4.355